TokenRemoveDeviceBinding

Remove device with the token

Request Path Parameters

ParametertypeLimitsrequiredDescription
terminalIDString10 characters✓The Paymentology issued terminal id of the terminal requesting the transaction
customerReferenceString1-255 characters✓Customer reference linked with this card
cardIdentifierString1-20 characters✓The card number, sequence number or tracking number of the specified card
tokenUniqueReferenceString48 characters✓The unique reference of the token or an empty string to stop all the tokens for the card
deviceIdString✓The unique identifier that represents a specific device where token is linked
deviceIndexString✓The index number provided by Visa
commentString1-500 characters✓Description of the activation or empty string
transactionIDString1-255 character✓A unique identifier generated by the client, which must not be duplicated over time.
transactionDateDate✓Transaction date generated by the calling client
checksumString✓HMAC-SHA256 hashed signature of the concatenated method name with all argument values using the terminal password as private key
<methodCall>
   <methodName>TokenRemoveDeviceBinding</methodName>
     <params>
         <param>
             <value>
                 <string>004396XXXX</string>
             </value>
         </param>
         <param>
             <value>
                 <string></string>
             </value>
         </param>
         <param>
             <value>
                 <string>455287003375XXXX</string>
             </value>
         </param>
         <param>
             <value>
                 <string>uniquealiXX</string>
             </value>
         </param>
         <param>
             <value>
                 <string>123</string>
             </value>
         </param>
         <param>
             <value>
                 <string>1</string>
             </value>
         </param>
         <param>
             <value>
                 <string>comment</string>
             </value>
         </param>
         <param>
             <value>
                 <string>txId3</string>
             </value>
         </param>
         <param>
             <value>
                 <dateTime.iso8601>19201102T12:01:01</dateTime.iso8601>
             </value>
         </param>
         <param>
             <value>
                 <string>671944ff82aeea3e205b8dd4b33aea33c4fa9941XXXce6562bab74f2fa8d3f5e517</string>
             </value>
         </param>
     </params>
 </methodCall>

Response Parameters

FieldtypeDescription
resultCodeIntegerStatus code indicating transaction result
resultTextStringText indicating transaction result
<?xml version="1.0" encoding="UTF-8"?>
 <methodResponse>
     <params>
         <param>
             <value>
                 <struct>
                     <member>
                         <name>resultCode</name>
                         <value>
                             <int>1</int>
                         </value>
                     </member>
                     <member>
                         <name>resultText</name>
                         <value>
                             <string>Approved</string>
                         </value>
                     </member>
                 </struct>
             </value>
         </param>
     </params>
 </methodResponse>